mysql_stmt_row_tell(3)

  Name
mysql_stmt_row_tell - Returns position of row cursor

  Synopsis

        #include <mysql.h>

        MYSQL_ROW_OFFSET mysql_stmt_row_tell(MYSQL_STMT * stmt);

  Description
Returns the row offset of a result cursor. The returned offset value can be used to reposition the result cursor by calling mysql_stmt_row_seek(3).

  Parameter

•   stmt - a statement handle, which was previously allocated by mysql_stmt_init(3).

  Return value
Returns the current position of the row cursor.

  Notes

•   This function can be used for buffered result sets only, which can be obtained by executing the mysql_stmt_store_result(3) function.

  See Also

•   mysql_stmt_row_seek(3)

•   mysql_stmt_store_result(3)